Bug 5425 - Xft compilation adds -LNONE and -INONE
Summary: Xft compilation adds -LNONE and -INONE
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Lib/Xft (show other bugs)
Version: git
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Jeremy Huddleston Sequoia
QA Contact: Xorg Project Team
URL:
Whiteboard: 2011BRB_Reviewed
Keywords: patch
Depends on:
Blocks:
 
Reported: 2005-12-26 20:18 UTC by Philip Van Hoof
Modified: 2011-09-25 17:40 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Fix/shows the problem (619 bytes, patch)
2005-12-26 20:19 UTC, Philip Van Hoof
no flags Details | Splinter Review
remove the fallback path (1.87 KB, patch)
2011-09-24 21:10 UTC, Jeremy Huddleston Sequoia
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Philip Van Hoof 2005-12-26 20:18:42 UTC
$x_includes, $x_libraries will always be empty. Therefore their value will be
NONE. I attached a patch ...
Comment 1 Philip Van Hoof 2005-12-26 20:19:05 UTC
Created attachment 4164 [details] [review]
Fix/shows the problem
Comment 2 Jeremy Huddleston Sequoia 2011-09-24 21:10:29 UTC
Created attachment 51581 [details] [review]
remove the fallback path

remove the fallback path all together
sent to xorg-devel for review
Comment 3 Jeremy Huddleston Sequoia 2011-09-25 17:40:11 UTC
commit d39337048d31245b69e1b72b98beb957f52ba4e6
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sat Sep 24 21:05:27 2011 -0700

   Remove broken fallback on non-pkg-config search for libXrender

   https://bugs.freedesktop.org/show_bug.cgi?id=5425

   Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>
   Reviewed-by: Gaetan Nadon <memsize@videotron.ca>
   Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.